---
title: ':indeterminate'
slug: 'Web/CSS/:indeterminate'
tags:
  - ':indeterminate'
  - CSS
  - Layout
  - Pseudo-class
  - Reference
  - Selector
  - Web
  - checkbox
  - progress
  - radio button
---
<div>{{CSSRef}}</div>

<p><span class="seoSummary">The <strong><code>:indeterminate</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Pseudo-classes">pseudo-class</a> represents any form element whose state is indeterminate, such as checkboxes which have their HTML <code><a href="/en-US/docs/Web/HTML/Element/input/checkbox#indeterminate">indeterminate</a></code> attribute set to <code>true</code>, radio buttons which are members of a group in which all radio buttons are unchecked, and indeterminate {{HTMLElement("progress")}} elements.</span></p>

<pre class="brush: css no-line-numbers notranslate">/* Selects any &lt;input&gt; whose state is indeterminate */
input:indeterminate {
  background: lime;
}</pre>

<p>Elements targeted by this selector are:</p>

<ul>
 <li><code><a href="/en-US/docs/Web/HTML/Element/input/checkbox">&lt;input type="checkbox"&gt;</a></code> elements whose <code>indeterminate</code> property is set to <code>true</code> by <a href="/en-US/docs/Web/JavaScript">JavaScript</a></li>
 <li><code><a href="/en-US/docs/Web/HTML/Element/input/radio">&lt;input type="radio"&gt;</a></code> elements, when all radio buttons with the same <code>name</code> value in the form are unchecked</li>
 <li>{{HTMLElement("progress")}} elements in an indeterminate state</li>
</ul>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Checkbox_radio_button">Checkbox &amp; radio button</h3>

<p>This example applies special styles to the labels associated with indeterminate form fields.</p>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;div&gt;
  &lt;input type="checkbox" id="checkbox"&gt;
  &lt;label for="checkbox"&gt;This label starts out lime.&lt;/label&gt;
&lt;/div&gt;
&lt;div&gt;
  &lt;input type="radio" id="radio"&gt;
  &lt;label for="radio"&gt;This label starts out lime.&lt;/label&gt;
&lt;/div&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css; hightlight[5] notranslate">input:indeterminate + label {
  background: lime;
}
</pre>

<h4 id="JavaScript">JavaScript</h4>

<pre class="brush: js notranslate">var inputs = document.getElementsByTagName("input");

for (var i = 0; i &lt; inputs.length; i++) {
  inputs[i].indeterminate = true;
}
</pre>

<p>{{EmbedLiveSample('Checkbox_radio_button', 'auto', 50)}}</p>

<h3 id="Progress_bar">Progress bar</h3>

<h4 id="HTML_2">HTML</h4>

<pre class="brush: html notranslate">&lt;progress&gt;
</pre>

<h4 id="CSS_2">CSS</h4>

<pre class="brush: css; hightlight[5] notranslate">progress {
  margin: 4px;
}

progress:indeterminate {
  opacity: 0.5;
  background-color: lightgray;
  box-shadow: 0 0 2px 1px red;
}
</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample('Progress_bar', 'auto', 30)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#selector-indeterminate', ':indeterminate')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>No change.</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', '#selector-indeterminate', ':indeterminate')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Defines the semantics of HTML and constraint validation.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS4 Selectors', '#indeterminate', ':indeterminate')}}</td>
   <td>{{Spec2('CSS4 Selectors')}}</td>
   <td>No change.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("css.selectors.indeterminate")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Learn/Forms">Web forms — Working with user data</a></li>
 <li><a href="/en-US/docs/Learn/Forms/Styling_web_forms">Styling web forms</a></li>
 <li>The <code><a href="/en-US/docs/Web/HTML/Element/input/checkbox">&lt;input type="checkbox"&gt;</a></code> element's <code><a href="/en-US/docs/Web/HTML/Element/input/checkbox#indeterminate">indeterminate</a></code> attribute</li>
 <li>{{HTMLElement("input")}} and the {{domxref("HTMLInputElement")}} interface which implements it.</li>
 <li>The {{cssxref(":checked")}} CSS selector lets you style checkboxes based on whether they're checked or not</li>
</ul>
</div>
